ResourceTypes = {
    Local: 0,
    Web: 1
};
Ext.define('WebElementClass15', {
    extend: 'DisplayableAction',
    constructor: function(cfgXML, o, actionSequence){
        this.WebFrame = null;
        this.ResourceType = ResourceTypes.Local;
        this.Url = null;
        this.callParent([ cfgXML, o, actionSequence]);
        this.ResourceType = XmlHelper.getInteger(cfgXML, "resourceType");
        this.Url = XmlHelper.getString(cfgXML, "url");
    },
    initializeDC: function(bg){
        this.initializeDisplayComponent(bg);
        //initialize the pictureBox first
        this.WebFrame = this.ContentContainer.createChild({
            tag: "iframe",
            frameborder: Ext.isIE ? "0" : "1",
            style: "position:absolute;background-color:#fff;border:none;width:100%;height:100%;",
            allowfullscreen: "true"
        });
    },
    setUrl: function(url){
        try {
            if (this.ResourceType == ResourceTypes.Web)
                this.WebFrame.dom.src = url;//eval(Ext.encode(url.toLowerCase()));
            else {
                this.WebFrame.dom.src = AuthorUtils.getAbsoluteResourcePath(Author.resourcePath) + url;
            }
        }
        catch (err) {
        }
    },
    processAction: function(bg){
        if (this.IsChangeAction) {
            Author.DisplayManager.changeAction(this);
        }
        this.initializeDC(bg);
        this.setInitialVisibility();
        this.applyEffect();
        this.setUrl(this.Url);
        return {MoveOn: true, Interval: 0};
    }
});
